Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.recipe.validators
Interface PrescriberServiceValidator

All Known Implementing Classes:
  PrescriberServiceValidatorImpl

Deprecated.

    @Deprecated
    public interface PrescriberServiceValidator

The Interface PrescriberServiceValidator. Default impl : `PrescriberServiceValidatorImpl`

Method Summary
`boolean` | `validateExecutorId(Long executorId)` Deprecated. Validate executor id.
`boolean` | `validatePatientId(Long patientId)` Deprecated. Validate patient id.
`boolean` | `validatePrescriptionId(String prescriptionId)` Deprecated. Validate prescription id.
`boolean` | `validatePrescriptionType(String prescriptionType)` Deprecated. Validate prescription type.

Method Detail

### validatePrescriptionId

    boolean validatePrescriptionId(String prescriptionId)
                                   throws RecipeBusinessConnectorException

  Deprecated.
  Validate prescription id.

  Parameters:
    `prescriptionId` - the prescription id
  Returns:
    true, if successful
  Throws:
    `RecipeBusinessConnectorException`

### validatePatientId

    boolean validatePatientId(Long patientId)
                              throws RecipeBusinessConnectorException

  Deprecated.
  Validate patient id.

  Parameters:
    `patientId` - the patient id
  Returns:
    true, if successful
  Throws:
    `RecipeBusinessConnectorException`

### validateExecutorId

    boolean validateExecutorId(Long executorId)
                               throws RecipeBusinessConnectorException

  Deprecated.
  Validate executor id.

  Parameters:
    `executorId` - the executor id
  Returns:
    true, if successful
  Throws:
    `RecipeBusinessConnectorException`

### validatePrescriptionType

    boolean validatePrescriptionType(String prescriptionType)
                                     throws RecipeBusinessConnectorException

  Deprecated.
  Validate prescription type.

  Parameters:
    `prescriptionType` - the prescription type
  Returns:
    true, if successful
  Throws:
    `RecipeBusinessConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.